<?php

namespace Drupal\wsolution_elastic\PasseplatElastic\Definitions;

use Dakwamine\Component\ComponentBucketType;
use PassePlat\Core\Config\Configuration;
use PassePlat\Logger\Elastic\Exception\ElasticsearchException;
use PassePlat\Logger\Elastic\Definitions\AnalyzableContentIndexDef as BaseAnalyzableContentIndexDef;

/**
 * This class extends the IndexDefinitionBase class
 * to provide specific mappings and parameters for the analyzable content log
 * index.
 */
class AnalyzableContentIndexDef extends BaseAnalyzableContentIndexDef {

  protected function setPrefix(): void {
    try {
      /** @var Configuration $configuration */
    /*  $configuration = $this->getComponentByClassName(Configuration::class, FALSE, ComponentBucketType::ROOT);
      $configs = $configuration->getConfigValues('elasticsearch.passeplat-logger-elastic');*/
      // @todo make smthing here ?
      if (!empty($configs['prefix']) && is_string($configs['prefix'])) {
        $this->prefix = $configs['prefix'];
      }
    }
    catch (\Exception $e) {
      throw new ElasticsearchException('Cannot retrieve the ES configs.', $e);
    }
  }

}
