<?php

namespace Drupal\wsolution\Passeplat\User\Authenticator;

use Dakwamine\Component\RootDependencyDefinition;
use Drupal\wsolution\Passeplat\User\UserManager;
use Drupal\wsolution\Passeplat\Security\HostChecker;
use PassePlat\Core\User\Authenticator\UidInHostNameAuthenticationStrategy as BaseAuthenticator;

/**
 *
 */
class UidInHostNameAuthenticationStrategy extends BaseAuthenticator {

  public function getDependencyDefinitions(): array {
    $definitions = parent::getDependencyDefinitions();
    $definitions[] = new RootDependencyDefinition(HostChecker::class, $this->hostChecker);
    $definitions[] = new RootDependencyDefinition(UserManager::class, $this->userManager);
    return $definitions;
  }

}
